XSLDBG(1)

NAME
xsldbg - Una herramienta de texto para depurar guiones XSLT

SYNOPSIS

xsldbg [--shell] [--cd <PATH>] [--param <NAME>:<VALUE>] [--lang <LANG>] [--output <FILE>] [--version] [--verbose] [--timing] [--repeat] [--debug] [--valid] [--out] [--maxdepth val] [--html] [--docbook] [--net] [--catalogs] [--xinclude] [--profile] [--gdb] [--autoencode] [--utf8input] [--preferhtml] [--stdout] [--autorestart] [+XSLSource] [+XMLData]

DESCRIPCIóN

xsldbg es una herramienta que intenta ayudar a entender las hojas de estilo. Lo que la diferencia de otros depuradores de este tipo es su habilidad para buscar elementos de interés y depurar la ejecución de hojas de estilo.

xsldbg es una herramienta de texto para depurar hojas de estilo (en el eXtensible Stylesheet Language) y que usa órdenes similares al depurador gdb de Unix/Linux. Posee tres modos principales de ejecución de hojas de estilo.

•   Ejecutar toda la hoja de estilo

•   Avanzar a la siguiente instrucción xsl

•   Avanzar hasta el siguiente punto de interrupción, o hasta reiniciar la hoja de estilo

OPCIONES
Opciones de la aplicación

Nota: Para desactivar una opción, añada un 'no' antes del nombre de ésta, por ejemplo 'nonet'

Note: Las opciones marcadas con '*' están activadas por defecto

--shell
    Inicia una shell. Una vez iniciada, puede ejecutar la orden help de xsldbg para obtener ayuda en ejecución.

--cd <PATH>
    Directorio al que cambiar antes de cargar los fichero. Ver también la documentación de «cd»

--param <NOMBRE>:<VALOR>
    Añade un parámetro llamado <NOMBRE> con valor <VALOR> al entorno XSL. Véase también la documentación de la orden «addparam» Nota: «=» puede usarse en lugar de «:» para separar nombre y valor

--lang <LANG>
    Usa el código de lenguaje ISO 639 especificado, por ejemplo en_US

--output <FICHERO>
    Guarda a un fichero dado. Véase también la documentación de la orden output

--version
    Muestra las versiones de libxml y libxslt usadas

--verbose
    Muestra mensajes sobre qué está pasando

--timing
    Muestra el tiempo usado

--repeat
    Ejecuta la transformación 20 veces, si --repeat aparece duplicado la ejecuta 100 veces

--debug
    Si libxml lo soporta, vuelca el árbol de resultados

--valid*
    Activa la carga de la DTD, por defecto está activada

--out*
    Activa la salida del resultado, por defecto está activada

--maxdepth val
    Incrementa la máxima profundidad

--html
    Si libxml lo soporta, el documento (o documentos) de entrada es tratado como un HTML

--docbook
    Si libxml lo soporta, la entrada del documento es SGML docbook

--net*
    Activa la consulta de DTDs o entidades por red, por defecto está activada

--catalogs
    Usa los catálogos de $SGML_CATALOG_FILES si libxml lo soporta

--xinclude*
    Activa el procesamiento XInclude del documento de entrada si libxml lo soporta, por defecto está activado

--profile
    Muestra información de análisis de rendimiento

--gdb*
    Ejecutarse en modo de compatibilidad de GDB y mostrar más información, por defecto está activada

--autoencode*
    Detecta y usa codificaciones en la hoja de estilo

--utf8input
    Trata la entrada de consola en UTF-8

--preferhtml
    Usa una salida HTML para generar los informes de búsqueda

--stdout
    Mostrar todos los mensajes de error en la salida estándar, normalmente van a stderr

--autorestart
    Activa el reinicio automático de la ejecución cuando el paso de procesamiento actual se completa

+XSLSource
    Guión XSL a ejecutar (opcional)

+XMLData
    Datos XML a transformar (opcional si se especifica XSLSource)

AUTORES

xsldbg es escrito y mantenido por Keith Isdale<keith@kdewebdev.org>

AUTHOR
Keith Isdale.